## /inc/check_UTF8.php

Description
Functions
check_string (line 211)
void check_string ( $ics)

- $ics

unicodeToUtf8 (line 179)

Takes an array of ints representing the Unicode characters and returns a UTF-8 string. Astral planes are supported ie. the ints in the input can be > 0xFFFF. Occurrances of the BOM are ignored. Surrogates are not allowed.

Returns false if the input array contains ints that represent surrogates or are outside the Unicode range.

void unicodeToUtf8 ( &$arr)

- &$arr

utf8ToUnicode (line 59)

Takes an UTF-8 string and returns an array of ints representing the Unicode characters. Astral planes are supported ie. the ints in the output can be > 0xFFFF. Occurrances of the BOM are ignored. Surrogates are not allowed.

Returns false if the input string isn't a valid UTF-8 octet sequence.

void utf8ToUnicode ( &$str)

- &$str

Documentation generated on Fri, 13 Jan 2012 23:44:53 +1300 by phpDocumentor 1.4.3